## piler 0~20140707

=== Makefile ===
CFLAGS = -O3 -DNDEBUG=1
LDLIBS = -lm -static
# LDLIBS = -lm

OBJ = .o
EXE =

RM = rm -f
CP = cp

GPP = g++
LD = $(GPP) $(CFLAGS)
CPP = $(GPP) -c $(CFLAGS) 
CC = gcc -c $(CFLAGS) 

all: piler2

CPPSRC = $(sort $(wildcard *.cpp))
CPPOBJ	= $(subst .cpp,.o,$(CPPSRC))

$(CPPOBJ): %.o: %.cpp
	$(CPP) $< -o $@

piler2: $(CPPOBJ)
	$(LD) -o piler2 $(CPPOBJ) $(LDLIBS)

=== debian/changelog ===
piler (0~20140707-1) unstable; urgency=low

  * Initial release (Closes: #805607)

 -- Afif Elghraoui <afif@ghraoui.name>  Thu, 19 Nov 2015 20:36:40 -0800

=== debian/control ===
Source: piler
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
	Afif Elghraoui <afif@ghraoui.name>,
Build-Depends:
	debhelper (>= 9),
Standards-Version: 3.9.6
Homepage: http://www.drive5.com/piler/
Vcs-Git: git://anonscm.debian.org/debian-med/piler.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/piler.git

Package: piler
Architecture: any
Depends:
	${shlibs:Depends},
	${misc:Depends},
Recommends:
	muscle,
Description: genomic repeat analysis
 PILER (Parsimonious Inference of a Library of Elementary Repeats)
 searches a genome sequence for repetitive elements. It implements search
 algorithms that identify characteristic patterns of local alignments
 induced by certain classes of repeats.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1

include /usr/share/dpkg/default.mk

export CFLAGS := $(CPPFLAGS) $(CFLAGS)

%:
	dh $@ --parallel

=== debian/watch ===
version=3

# There is nothing for the watch file to target
